name: ChromeTests

on: [ push ]

jobs:
  build:
    runs-on: ubuntu-gitea
    strategy:
      matrix:
        python-version: [ "3.12" ]
    env:
      EDGEDRIVER_VERSION: 126.0.2592.102
    steps:
      - uses: actions/checkout@v4
      - name: Set up Python ${{ matrix.python-version }}
        uses: actions/setup-python@v3
        with:
          python-version: ${{ matrix.python-version }}

      - name: Install python dependencies
        run: |
          python -m pip install --upgrade pip
          python -m pip install -r requirements.txt
          mkdir drivers

      - name: Prep the Debian repositories
        run: |
          apt update -y
          apt upgrade -y

      - name: Install Chrome and Chromedriver for Linux
        if: runner.os == 'Linux'
        run: |
          apt install -y chromium-browser chromium-driver
          chromium-browser --version
          chromium-chromedriver --version

      - name: Run the pytests
        run: pytest -c pytest.ini -m chrome

      - name: Run the behave tests
        run: behave --tags=mark.chrome
